PrivacyIDEA installation CentOS

Hello
I have recently been trying out privacyIDEA and have during this time used
a Ubuntu installation which has worked fine.
I have now decided to setup a production environment and would like to run
privacyIDEA on CentOS 7.
However when using the guide found at:
https://privacyidea.readthedocs.org/en/latest/installation/pip.html#python-package-index
I experience problems with dependencies that could not be installed due to
version conflicts.
The CentOS machine is cleanly installed with no previous web server etc.
Only things installed are basically python and mysql.
The incomplete installation results in missing dependencies as well as a
lot of missing files and folders since the installation is interrupted.
Below are links to the console output.
output-complete
https://www.dropbox.com/s/yita8jvkb1ro1rl/output-complete?dl=0
output-tail https://www.dropbox.com/s/fv3t1f9kvizfkbq/output-tail?dl=0

Do you have any ideas why we are getting these conflicts?

Thanks!

Thanks!
That solved all our installation issues.
We have now found some configuration issues. pi-manage.py create-signkey is
not available.
Is there anything new here that we should know about?
RegardsOn Tuesday, August 18, 2015 at 10:50:56 AM UTC+2, Cornelinux K wrote:

Hi,

obviously this is due to the reason that some package maintainers remove
older versions of their packages from pypi.

Please try the attached package in your virtualenv

pip install privacyIDEA-2.6dev0.tar.gz

Kind regards
Cornelius

Am Dienstag, den 18.08.2015, 01:34 -0700 schrieb Erik Ranby:

Hello
I have recently been trying out privacyIDEA and have during this time
used a Ubuntu installation which has worked fine.
I have now decided to setup a production environment and would like to
run privacyIDEA on CentOS 7.
However when using the guide found at:

https://privacyidea.readthedocs.org/en/latest/installation/pip.html#python-package-index
I experience problems with dependencies that could not be installed due to
version conflicts.

The CentOS machine is cleanly installed with no previous web server
etc. Only things installed are basically python and mysql.
The incomplete installation results in missing dependencies as well as
a lot of missing files and folders since the installation is
interrupted.
Below are links to the console output.
output-complete

output-tail

Do you have any ideas why we are getting these conflicts?

Thanks!

You received this message because you are subscribed to the Google
Groups “privacyidea” group.
To unsubscribe from this group and stop receiving emails from it, send
an email to privacyidea...@googlegroups.com <javascript:>.
To post to this group, send email to priva...@googlegroups.com
<javascript:>.
To view this discussion on the web visit

https://groups.google.com/d/msgid/privacyidea/2af3183c-d3f4-4ff6-8f00-317050af1fe3%40googlegroups.com.

For more options, visit https://groups.google.com/d/optout.


Cornelius Kölbel
corneliu...@netknights.it <javascript:>
+49 151 2960 1417

NetKnights GmbH
http://www.netknights.it
Landgraf-Karl-Str. 19, 34131 Kassel, Germany
Tel: +49 561 3166797, Fax: +49 561 3166798

Amtsgericht Kassel, HRB 16405
Geschäftsführer: Cornelius Kölbel

Thanks, I managed to figure that out.

One last thing, I am now trying to setup privacyidea with Mysql and Apache
and when I run:

paster setup-app /etc/privacyidea/pi.cfg

I get an error saying: paster: command not found.

Should paster have been installed, or do you know how I can install it. I
have done some searching but haven’t found it.

Thanks again!

ErikOn Tuesday, August 18, 2015 at 12:02:16 PM UTC+2, Cornelinux K wrote:

oups,
it is

pi-manage.py create_audit_keys

Kind regards
Cornelius

Am Dienstag, den 18.08.2015, 02:23 -0700 schrieb Erik Ranby:

Thanks!
That solved all our installation issues.
We have now found some configuration issues. pi-manage.py
create-signkey is not available.
Is there anything new here that we should know about?
Regards

On Tuesday, August 18, 2015 at 10:50:56 AM UTC+2, Cornelinux K wrote:
Hi,

    obviously this is due to the reason that some package 
    maintainers remove 
    older versions of their packages from pypi. 
    
    Please try the attached package in your virtualenv 
    
    pip install privacyIDEA-2.6dev0.tar.gz 
    
    Kind regards 
    Cornelius 
    
    Am Dienstag, den 18.08.2015, 01:34 -0700 schrieb Erik Ranby: 
    > Hello 
    > I have recently been trying out privacyIDEA and have during 
    this time 
    > used a Ubuntu installation which has worked fine. 
    > I have now decided to setup a production environment and 
    would like to 
    > run privacyIDEA on CentOS 7. 
    > However when using the guide found at: 
    > 

https://privacyidea.readthedocs.org/en/latest/installation/pip.html#python-package-index
I experience problems with dependencies that could not be installed due to
version conflicts.

    > The CentOS machine is cleanly installed with no previous web 
    server 
    > etc. Only things installed are basically python and mysql. 
    > The incomplete installation results in missing dependencies 
    as well as 
    > a lot of missing files and folders since the installation 
    is 
    > interrupted. 
    > Below are links to the console output. 
    > output-complete 
    > 
    > output-tail 
    > 
    > 
    > 
    > Do you have any ideas why we are getting these conflicts? 
    > 
    > 
    > Thanks! 
    > -- 
    > You received this message because you are subscribed to the 
    Google 
    > Groups "privacyidea" group. 
    > To unsubscribe from this group and stop receiving emails 
    from it, send 
    > an email to privacyidea...@googlegroups.com. 
    > To post to this group, send email to 
    priva...@googlegroups.com. 
    > To view this discussion on the web visit 
    > 

https://groups.google.com/d/msgid/privacyidea/2af3183c-d3f4-4ff6-8f00-317050af1fe3%40googlegroups.com.

    > For more options, visit https://groups.google.com/d/optout. 
    
    -- 
    Cornelius Kölbel 
    corneliu...@netknights.it 
    +49 151 2960 1417 
    
    NetKnights GmbH 
    http://www.netknights.it 
    Landgraf-Karl-Str. 19, 34131 Kassel, Germany 
    Tel: +49 561 3166797, Fax: +49 561 3166798 
    
    Amtsgericht Kassel, HRB 16405 
    Geschäftsführer: Cornelius Kölbel 


You received this message because you are subscribed to the Google
Groups “privacyidea” group.
To unsubscribe from this group and stop receiving emails from it, send
an email to privacyidea...@googlegroups.com <javascript:>.
To post to this group, send email to priva...@googlegroups.com
<javascript:>.
To view this discussion on the web visit

https://groups.google.com/d/msgid/privacyidea/15b41673-c040-43e9-994a-7a977596428e%40googlegroups.com.

For more options, visit https://groups.google.com/d/optout.


Cornelius Kölbel
corneliu...@netknights.it <javascript:>
+49 151 2960 1417

NetKnights GmbH
http://www.netknights.it
Landgraf-Karl-Str. 19, 34131 Kassel, Germany
Tel: +49 561 3166797, Fax: +49 561 3166798

Amtsgericht Kassel, HRB 16405
Geschäftsführer: Cornelius Kölbel

oups,
it is

pi-manage.py create_audit_keys

Kind regards
CorneliusAm Dienstag, den 18.08.2015, 02:23 -0700 schrieb Erik Ranby:

Thanks!
That solved all our installation issues.
We have now found some configuration issues. pi-manage.py
create-signkey is not available.
Is there anything new here that we should know about?
Regards

On Tuesday, August 18, 2015 at 10:50:56 AM UTC+2, Cornelinux K wrote:
Hi,

    obviously this is due to the reason that some package
    maintainers remove 
    older versions of their packages from pypi. 
    
    Please try the attached package in your virtualenv 
    
    pip install privacyIDEA-2.6dev0.tar.gz 
    
    Kind regards 
    Cornelius 
    
    Am Dienstag, den 18.08.2015, 01:34 -0700 schrieb Erik Ranby: 
    > Hello 
    > I have recently been trying out privacyIDEA and have during
    this time 
    > used a Ubuntu installation which has worked fine. 
    > I have now decided to setup a production environment and
    would like to 
    > run privacyIDEA on CentOS 7. 
    > However when using the guide found at: 
    >
    https://privacyidea.readthedocs.org/en/latest/installation/pip.html#python-package-index I experience problems with dependencies that could not be installed due to version conflicts. 
    > The CentOS machine is cleanly installed with no previous web
    server 
    > etc. Only things installed are basically python and mysql. 
    > The incomplete installation results in missing dependencies
    as well as 
    > a lot of missing files and folders since the installation
    is 
    > interrupted. 
    > Below are links to the console output. 
    > output-complete 
    > 
    > output-tail 
    > 
    > 
    > 
    > Do you have any ideas why we are getting these conflicts? 
    > 
    > 
    > Thanks! 
    > -- 
    > You received this message because you are subscribed to the
    Google 
    > Groups "privacyidea" group. 
    > To unsubscribe from this group and stop receiving emails
    from it, send 
    > an email to privacyidea...@googlegroups.com. 
    > To post to this group, send email to
    priva...@googlegroups.com. 
    > To view this discussion on the web visit 
    >
    https://groups.google.com/d/msgid/privacyidea/2af3183c-d3f4-4ff6-8f00-317050af1fe3%40googlegroups.com. 
    > For more options, visit https://groups.google.com/d/optout. 
    
    -- 
    Cornelius Kölbel 
    corneliu...@netknights.it 
    +49 151 2960 1417 
    
    NetKnights GmbH 
    http://www.netknights.it 
    Landgraf-Karl-Str. 19, 34131 Kassel, Germany 
    Tel: +49 561 3166797, Fax: +49 561 3166798 
    
    Amtsgericht Kassel, HRB 16405 
    Geschäftsführer: Cornelius Kölbel 


You received this message because you are subscribed to the Google
Groups “privacyidea” group.
To unsubscribe from this group and stop receiving emails from it, send
an email to privacyidea+unsubscribe@googlegroups.com.
To post to this group, send email to privacyidea@googlegroups.com.
To view this discussion on the web visit
https://groups.google.com/d/msgid/privacyidea/15b41673-c040-43e9-994a-7a977596428e%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


Cornelius Kölbel
@cornelinux
+49 151 2960 1417

NetKnights GmbH
http://www.netknights.it
Landgraf-Karl-Str. 19, 34131 Kassel, Germany
Tel: +49 561 3166797, Fax: +49 561 3166798

Amtsgericht Kassel, HRB 16405
Geschäftsführer: Cornelius Kölbel

signature.asc (836 Bytes)

Hi,

obviously this is due to the reason that some package maintainers remove
older versions of their packages from pypi.

Please try the attached package in your virtualenv

pip install privacyIDEA-2.6dev0.tar.gz

Kind regards
CorneliusAm Dienstag, den 18.08.2015, 01:34 -0700 schrieb Erik Ranby:

Hello
I have recently been trying out privacyIDEA and have during this time
used a Ubuntu installation which has worked fine.
I have now decided to setup a production environment and would like to
run privacyIDEA on CentOS 7.
However when using the guide found at:
https://privacyidea.readthedocs.org/en/latest/installation/pip.html#python-package-index I experience problems with dependencies that could not be installed due to version conflicts.
The CentOS machine is cleanly installed with no previous web server
etc. Only things installed are basically python and mysql.
The incomplete installation results in missing dependencies as well as
a lot of missing files and folders since the installation is
interrupted.
Below are links to the console output.
output-complete

output-tail

Do you have any ideas why we are getting these conflicts?

Thanks!

You received this message because you are subscribed to the Google
Groups “privacyidea” group.
To unsubscribe from this group and stop receiving emails from it, send
an email to privacyidea+unsubscribe@googlegroups.com.
To post to this group, send email to privacyidea@googlegroups.com.
To view this discussion on the web visit
https://groups.google.com/d/msgid/privacyidea/2af3183c-d3f4-4ff6-8f00-317050af1fe3%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


Cornelius Kölbel
@cornelinux
+49 151 2960 1417

NetKnights GmbH
http://www.netknights.it
Landgraf-Karl-Str. 19, 34131 Kassel, Germany
Tel: +49 561 3166797, Fax: +49 561 3166798

Amtsgericht Kassel, HRB 16405
Geschäftsführer: Cornelius Kölbel

privacyIDEA-2.6dev0.tar.gz (1.24 MB)

signature.asc (836 Bytes)

Where did you get this from?

paster was used with privacyIDEA 1.5.

You are running

pi-manage.py createdb

to create the DB. Forget about paster.

Kind regards
CorneliusAm Dienstag, den 18.08.2015, 03:28 -0700 schrieb Erik Ranby:

Thanks, I managed to figure that out.

One last thing, I am now trying to setup privacyidea with Mysql and
Apache and when I run:

paster setup-app /etc/privacyidea/pi.cfg

I get an error saying: paster: command not found.

Should paster have been installed, or do you know how I can install
it. I have done some searching but haven’t found it.

Thanks again!

Erik

On Tuesday, August 18, 2015 at 12:02:16 PM UTC+2, Cornelinux K wrote:
oups,
it is

     pi-manage.py create_audit_keys 
    
    Kind regards 
    Cornelius 
    
    Am Dienstag, den 18.08.2015, 02:23 -0700 schrieb Erik Ranby: 
    > Thanks! 
    > That solved all our installation issues. 
    > We have now found some configuration issues. pi-manage.py 
    > create-signkey is not available. 
    > Is there anything new here that we should know about? 
    > Regards 
    > 
    > On Tuesday, August 18, 2015 at 10:50:56 AM UTC+2, Cornelinux K wrote: 
    >         Hi, 
    >         
    >         obviously this is due to the reason that some
    package 
    >         maintainers remove 
    >         older versions of their packages from pypi. 
    >         
    >         Please try the attached package in your virtualenv 
    >         
    >         pip install privacyIDEA-2.6dev0.tar.gz 
    >         
    >         Kind regards 
    >         Cornelius 
    >         
    >         Am Dienstag, den 18.08.2015, 01:34 -0700 schrieb
    Erik Ranby: 
    >         > Hello 
    >         > I have recently been trying out privacyIDEA and
    have during 
    >         this time 
    >         > used a Ubuntu installation which has worked fine. 
    >         > I have now decided to setup a production
    environment and 
    >         would like to 
    >         > run privacyIDEA on CentOS 7. 
    >         > However when using the guide found at: 
    >         > 
    >
    https://privacyidea.readthedocs.org/en/latest/installation/pip.html#python-package-index I experience problems with dependencies that could not be installed due to version conflicts. 
    >         > The CentOS machine is cleanly installed with no
    previous web 
    >         server 
    >         > etc. Only things installed are basically python
    and mysql. 
    >         > The incomplete installation results in missing
    dependencies 
    >         as well as 
    >         > a lot of missing files and folders since the
    installation 
    >         is 
    >         > interrupted. 
    >         > Below are links to the console output. 
    >         > output-complete 
    >         > 
    >         > output-tail 
    >         > 
    >         > 
    >         > 
    >         > Do you have any ideas why we are getting these
    conflicts? 
    >         > 
    >         > 
    >         > Thanks! 
    >         > -- 
    >         > You received this message because you are
    subscribed to the 
    >         Google 
    >         > Groups "privacyidea" group. 
    >         > To unsubscribe from this group and stop receiving
    emails 
    >         from it, send 
    >         > an email to privacyidea...@googlegroups.com. 
    >         > To post to this group, send email to 
    >         priva...@googlegroups.com. 
    >         > To view this discussion on the web visit 
    >         > 
    >
    https://groups.google.com/d/msgid/privacyidea/2af3183c-d3f4-4ff6-8f00-317050af1fe3%40googlegroups.com. 
    >         > For more options, visit
    https://groups.google.com/d/optout. 
    >         
    >         -- 
    >         Cornelius Kölbel 
    >         corneliu...@netknights.it 
    >         +49 151 2960 1417 
    >         
    >         NetKnights GmbH 
    >         http://www.netknights.it 
    >         Landgraf-Karl-Str. 19, 34131 Kassel, Germany 
    >         Tel: +49 561 3166797, Fax: +49 561 3166798 
    >         
    >         Amtsgericht Kassel, HRB 16405 
    >         Geschäftsführer: Cornelius Kölbel 
    >         
    >         
    > -- 
    > You received this message because you are subscribed to the
    Google 
    > Groups "privacyidea" group. 
    > To unsubscribe from this group and stop receiving emails
    from it, send 
    > an email to privacyidea...@googlegroups.com. 
    > To post to this group, send email to
    priva...@googlegroups.com. 
    > To view this discussion on the web visit 
    >
    https://groups.google.com/d/msgid/privacyidea/15b41673-c040-43e9-994a-7a977596428e%40googlegroups.com. 
    > For more options, visit https://groups.google.com/d/optout. 
    
    -- 
    Cornelius Kölbel 
    corneliu...@netknights.it 
    +49 151 2960 1417 
    
    NetKnights GmbH 
    http://www.netknights.it 
    Landgraf-Karl-Str. 19, 34131 Kassel, Germany 
    Tel: +49 561 3166797, Fax: +49 561 3166798 
    
    Amtsgericht Kassel, HRB 16405 
    Geschäftsführer: Cornelius Kölbel 


You received this message because you are subscribed to the Google
Groups “privacyidea” group.
To unsubscribe from this group and stop receiving emails from it, send
an email to privacyidea+unsubscribe@googlegroups.com.
To post to this group, send email to privacyidea@googlegroups.com.
To view this discussion on the web visit
https://groups.google.com/d/msgid/privacyidea/42ae2a52-3553-4dcd-b7dd-b53253aa7fc0%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


Cornelius Kölbel
@cornelinux
+49 151 2960 1417

NetKnights GmbH
http://www.netknights.it
Landgraf-Karl-Str. 19, 34131 Kassel, Germany
Tel: +49 561 3166797, Fax: +49 561 3166798

Amtsgericht Kassel, HRB 16405
Geschäftsführer: Cornelius Kölbel

signature.asc (836 Bytes)

Thanks for your help!
We have got everything up and running now!On Tuesday, August 18, 2015 at 12:46:42 PM UTC+2, Cornelinux K wrote:

Where did you get this from?

paster was used with privacyIDEA 1.5.

You are running

    pi-manage.py createdb 

to create the DB. Forget about paster.

Kind regards
Cornelius

Am Dienstag, den 18.08.2015, 03:28 -0700 schrieb Erik Ranby:

Thanks, I managed to figure that out.

One last thing, I am now trying to setup privacyidea with Mysql and
Apache and when I run:

paster setup-app /etc/privacyidea/pi.cfg

I get an error saying: paster: command not found.

Should paster have been installed, or do you know how I can install
it. I have done some searching but haven’t found it.

Thanks again!

Erik

On Tuesday, August 18, 2015 at 12:02:16 PM UTC+2, Cornelinux K wrote:
oups,
it is

     pi-manage.py create_audit_keys 
    
    Kind regards 
    Cornelius 
    
    Am Dienstag, den 18.08.2015, 02:23 -0700 schrieb Erik Ranby: 
    > Thanks! 
    > That solved all our installation issues. 
    > We have now found some configuration issues. pi-manage.py 
    > create-signkey is not available. 
    > Is there anything new here that we should know about? 
    > Regards 
    > 
    > On Tuesday, August 18, 2015 at 10:50:56 AM UTC+2, Cornelinux  K wrote: 
    >         Hi, 
    >         
    >         obviously this is due to the reason that some 
    package 
    >         maintainers remove 
    >         older versions of their packages from pypi. 
    >         
    >         Please try the attached package in your virtualenv 
    >         
    >         pip install privacyIDEA-2.6dev0.tar.gz 
    >         
    >         Kind regards 
    >         Cornelius 
    >         
    >         Am Dienstag, den 18.08.2015, 01:34 -0700 schrieb 
    Erik Ranby: 
    >         > Hello 
    >         > I have recently been trying out privacyIDEA and 
    have during 
    >         this time 
    >         > used a Ubuntu installation which has worked fine. 
    >         > I have now decided to setup a production 
    environment and 
    >         would like to 
    >         > run privacyIDEA on CentOS 7. 
    >         > However when using the guide found at: 
    >         > 
    > 

https://privacyidea.readthedocs.org/en/latest/installation/pip.html#python-package-index
I experience problems with dependencies that could not be installed due to
version conflicts.

    >         > The CentOS machine is cleanly installed with no 
    previous web 
    >         server 
    >         > etc. Only things installed are basically python 
    and mysql. 
    >         > The incomplete installation results in missing 
    dependencies 
    >         as well as 
    >         > a lot of missing files and folders since the 
    installation 
    >         is 
    >         > interrupted. 
    >         > Below are links to the console output. 
    >         > output-complete 
    >         > 
    >         > output-tail 
    >         > 
    >         > 
    >         > 
    >         > Do you have any ideas why we are getting these 
    conflicts? 
    >         > 
    >         > 
    >         > Thanks! 
    >         > -- 
    >         > You received this message because you are 
    subscribed to the 
    >         Google 
    >         > Groups "privacyidea" group. 
    >         > To unsubscribe from this group and stop receiving 
    emails 
    >         from it, send 
    >         > an email to privacyidea...@googlegroups.com. 
    >         > To post to this group, send email to 
    >         priva...@googlegroups.com. 
    >         > To view this discussion on the web visit 
    >         > 
    > 

https://groups.google.com/d/msgid/privacyidea/2af3183c-d3f4-4ff6-8f00-317050af1fe3%40googlegroups.com.

    >         > For more options, visit 
    https://groups.google.com/d/optout. 
    >         
    >         -- 
    >         Cornelius Kölbel 
    >         corneliu...@netknights.it 
    >         +49 151 2960 1417 
    >         
    >         NetKnights GmbH 
    >         http://www.netknights.it 
    >         Landgraf-Karl-Str. 19, 34131 Kassel, Germany 
    >         Tel: +49 561 3166797, Fax: +49 561 3166798 
    >         
    >         Amtsgericht Kassel, HRB 16405 
    >         Geschäftsführer: Cornelius Kölbel 
    >         
    >         
    > -- 
    > You received this message because you are subscribed to the 
    Google 
    > Groups "privacyidea" group. 
    > To unsubscribe from this group and stop receiving emails 
    from it, send 
    > an email to privacyidea...@googlegroups.com. 
    > To post to this group, send email to 
    priva...@googlegroups.com. 
    > To view this discussion on the web visit 
    > 

https://groups.google.com/d/msgid/privacyidea/15b41673-c040-43e9-994a-7a977596428e%40googlegroups.com.

    > For more options, visit https://groups.google.com/d/optout. 
    
    -- 
    Cornelius Kölbel 
    corneliu...@netknights.it 
    +49 151 2960 1417 
    
    NetKnights GmbH 
    http://www.netknights.it 
    Landgraf-Karl-Str. 19, 34131 Kassel, Germany 
    Tel: +49 561 3166797, Fax: +49 561 3166798 
    
    Amtsgericht Kassel, HRB 16405 
    Geschäftsführer: Cornelius Kölbel 


You received this message because you are subscribed to the Google
Groups “privacyidea” group.
To unsubscribe from this group and stop receiving emails from it, send
an email to privacyidea...@googlegroups.com <javascript:>.
To post to this group, send email to priva...@googlegroups.com
<javascript:>.
To view this discussion on the web visit

https://groups.google.com/d/msgid/privacyidea/42ae2a52-3553-4dcd-b7dd-b53253aa7fc0%40googlegroups.com.

For more options, visit https://groups.google.com/d/optout.


Cornelius Kölbel
corneliu...@netknights.it <javascript:>
+49 151 2960 1417

NetKnights GmbH
http://www.netknights.it
Landgraf-Karl-Str. 19, 34131 Kassel, Germany
Tel: +49 561 3166797, Fax: +49 561 3166798

Amtsgericht Kassel, HRB 16405
Geschäftsführer: Cornelius Kölbel